LibreOffice: XReportDefinition Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XReportDefinition Interface Reference

identifies a XReportComponent as being a (sub-) report. More...

`import "XReportDefinition.idl";`

Inheritance diagram for XReportDefinition:

## Exported Interfaces
interface | com::sun::star::frame::XModel
| allows the access to the model embedded in the database storage.
interface | com::sun::star::frame::XLoadable
| offers a simple way to initialize a component.
interface | com::sun::star::embed::XVisualObject
| represents common visualization functionality for the embedded report.
interface | com::sun::star::document::XStorageBasedDocument
| allows to initialize the document with a storage.
interface | com::sun::star::document::XViewDataSupplier
| gives access to some properties describing all open views to a document.
interface | com::sun::star::util::XCloseable
| allows to close the document.
interface | com::sun::star::ui::XUIConfigurationManagerSupplier
| allows to retrieve the user interface configuration manager related to an object.
interface | com::sun::star::document::XDocumentSubStorageSupplier
interface | com::sun::star::style::XStyleFamiliesSupplier
| provides access to the collection of style families.
interface | com::sun::star::util::XModifiable2
| a storable document should provide information about his modify state
interface | XReportComponent
| allows the creation of sub reports.
interface | XFunctionsSupplier
| gives access to functions defined in the report definition.
Exported Interfaces inherited from XReportComponent
interface | com::sun::star::util::XCloneable
interface | com::sun::star::container::XChild
| identifies the component as a candidate for being part of a report.
interface | com::sun::star::lang::XComponent
| allows life-time control of report components.
interface | com::sun::star::drawing::XShape
interface | com::sun::star::beans::XPropertySet
| gives access to the properties.

## Public Member Functions
com::sun::star::document::XEventBroadcaster | getEventBroadcaster () raises ( ::com::sun::star::lang::DisposedException, ::com::sun::star::uno::Exception )
| makes it possible to register listeners which are called whenever a document event occurs.
sequence< string > | getAvailableMimeTypes () raises ( ::com::sun::star::lang::DisposedException, ::com::sun::star::uno::Exception )
| returns a sequence of the currently supported output formats.
Public Member Functions inherited from XModel
boolean | attachResource ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| informs a model about its resource description.
string | getURL ()
| provides information about the location of this model
sequence< com::sun::star::beans::PropertyValue > | getArgs ()
| provides read access on currently representation of the com::sun::star::document::MediaDescriptor of this model which describes the model and its state
void | connectController ([in] XController Controller)
| is called whenever a new controller is created for this model.
void | disconnectController ([in] XController Controller)
| is called whenever an existing controller should be deregistered at this model.
void | lockControllers ()
| suspends some notifications to the controllers which are used for display updates.
void | unlockControllers ()
| resumes the notifications which were suspended by XModel::lockControllers().
boolean | hasControllersLocked ()
| determines if there is at least one lock remaining.
XController | getCurrentController ()
| provides access to the controller which currently controls this model
void | setCurrentController ([in] XController Controller) raises ( com::sun::star::container::NoSuchElementException )
| sets a registered controller as the current controller.
com::sun::star::uno::XInterface | getCurrentSelection ()
| provides read access on current selection on controller
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XLoadable
void | initNew () raises ( DoubleInitializationException, com::sun::star::io::IOException, com::sun::star::uno::Exception )
| creates a component from scratch
void | load ([in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( DoubleInitializationException, com::sun::star::io::IOException, com::sun::star::uno::Exception )
| loads a component from a URL
Public Member Functions inherited from XVisualObject
void | setVisualAreaSize ([in] hyper nAspect, [in] ::com::sun::star::awt::Size aSize) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| sets the size of object's visual area.
::com::sun::star::awt::Size | getVisualAreaSize ([in] hyper nAspect) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| gets the size of object's visual area.
VisualRepresentation | getPreferredVisualRepresentation ([in] hyper nAspect) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| retrieves visual representation of the object in preferable format.
long | getMapUnit ([in] hyper nAspect) raises ( ::com::sun::star::uno::Exception )
| retrieves map mode the object communicates in.
Public Member Functions inherited from XStorageBasedDocument
void | loadFromStorage ([in] ::com::sun::star::embed::XStorage xStorage, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaDescriptor) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::frame::DoubleInitializationException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the document load itself using provided storage.
void | storeToStorage ([in] ::com::sun::star::embed::XStorage xStorage, [in] sequence< ::com::sun::star::beans::PropertyValue > aMediaDescriptor) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| lets the document store itself to the provided storage.
void | switchToStorage ([in] ::com::sun::star::embed::XStorage xStorage) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| allows to switch the document to the provided storage.
::com::sun::star::embed::XStorage | getDocumentStorage () raises ( ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| allows to get the storage the document is based on.
void | addStorageChangeListener ([in] XStorageChangeListener xListener)
| allows to register a listener that will be notified when another storage is set to the document.
void | removeStorageChangeListener ([in] XStorageChangeListener xListener)
| allows to deregister the listener.
Public Member Functions inherited from XViewDataSupplier
::com::sun::star::container::XIndexAccess | getViewData ()
| retrieve information about currently opened view to restore it later
void | setViewData ([in] com::sun::star::container::XIndexAccess Data)
| restore all views which will be represented by given data argument
Public Member Functions inherited from XCloseable
void | close ([in] boolean DeliverOwnership) raises ( CloseVetoException )
| try to close the object
Public Member Functions inherited from XCloseBroadcaster
void | addCloseListener ([in] XCloseListener Listener)
| adds the specified listener to receive or have a veto for "close" events
void | removeCloseListener ([in] XCloseListener Listener)
| removes the specified listener
Public Member Functions inherited from XUIConfigurationManagerSupplier
XUIConfigurationManager | getUIConfigurationManager ()
| returns the user interface configuration manager related to the object.
Public Member Functions inherited from XDocumentSubStorageSupplier
com::sun::star::embed::XStorage | getDocumentSubStorage ([in] string StorageName, [in] long nMode)
| provides the access to a substorage with specified name
sequence< string > | getDocumentSubStoragesNames () raises ( ::com::sun::star::io::IOException )
| provides the list of substorages
Public Member Functions inherited from XStyleFamiliesSupplier
com::sun::star::container::XNameAccess | getStyleFamilies ()
| This method returns the collection of style families available in the container document.
Public Member Functions inherited from XModifiable2
boolean | disableSetModified ()
| disable possibility to change modified state of the document
boolean | enableSetModified ()
| enable possibility to change modified state of the document
boolean | isSetModifiedEnabled ()
| allows to detect whether the modified state change is enabled
Public Member Functions inherited from XModifiable
boolean | isModified ()
void | setModified ([in] boolean bModified) raises ( com::sun::star::beans::PropertyVetoException )
| sets the status of the modified-flag from outside of the object.
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object.
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object
com::sun::star::awt::Size | getSize ()
| gets the size of this object.
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object.
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Public Attributes
string | MimeType
| Represents the output format (media (mime) type) of the resulting document when executing this report.
string | Caption
| Represents the title of the report in print preview.
short | GroupKeepTogether
| Specifies whether groups in a multi column report are kept together.
short | PageHeaderOption
| Represents the location of the page header.
short | PageFooterOption
| Represents the location of the page footer.
string | Command
| is the command which should be executed, the type of command depends on the CommandType.
long | CommandType
| specifies the type of the command to be executed to retrieve a result set.
string | Filter
| specifies an additional filter to optionally use.
boolean | EscapeProcessing
| specifies if the Command should be analyzed on the client side before sending it to the database server.
com::sun::star::sdbc::XConnection | ActiveConnection
| specifies the active connection which is used to create the resulting report.
string | DataSourceName
| is the name of the datasource to use, this could be a named datasource or the URL of a data access component.
boolean | ReportHeaderOn
| Defines that the report header is on.
boolean | ReportFooterOn
| Defines that the report footer is on.
boolean | PageHeaderOn
| Defines that the page header is on.
boolean | PageFooterOn
| Defines that the page footer is on.
com::sun::star::report::XGroups | Groups
| Represents the groups of the report.
com::sun::star::report::XSection | ReportHeader
| returns the report header if the ReportHeaderOn is TRUE.
com::sun::star::report::XSection | PageHeader
| returns the page header if the PageHeaderOn is TRUE.
com::sun::star::report::XSection | Detail
| returns the detail section.
com::sun::star::report::XSection | PageFooter
| returns the page footer if the PageFooterOn is TRUE.
com::sun::star::report::XSection | ReportFooter
| returns the report footer if the ReportFooterOn is TRUE.
Public Attributes inherited from XReportComponent
string | Name
| the name of the component.
long | Height
| specifies the height of the control.
long | PositionX
| specifies the horizontal position of the control.
long | PositionY
| specifies the vertical position of the control.
long | Width
| specifies the width of the control.
boolean | AutoGrow
| Specifies that the control containing data shall automatically grow to the optimal height to show the data without wasting space.
short | ControlBorder
| specifies the border style of the control.
long | ControlBorderColor
| specifies the color of the border, if present
boolean | PrintRepeatedValues
| Specifies that recurring values are printed.
com::sun::star::report::XSection | Section
| Specifies the section where the control belongs to.
Public Attributes inherited from XFunctionsSupplier
com::sun::star::report::XFunctions | Functions
| access to the functions

## Additional Inherited Members
Public Types inherited from XReportComponent
typedef sequence< string > | MasterFields
| is used for subreports and contains the names of columns of the parent report.
typedef sequence< string > | DetailFields
| is used for subreports and contains the names of the columns of the subreport which are related to the master fields of the parent report.

## Detailed Description

identifies a XReportComponent as being a (sub-) report.

This interface does not really provide an own functionality, it is only for easier runtime identification of report components.

A report fulfills several tasks, like storing the structure of its report components and it provides the event environment for its contained elements.

See also
  XReportComponent

## Exported Interfaces

## ◆ com::sun::star::document::XDocumentSubStorageSupplier

interface com::sun::star::document::XDocumentSubStorageSupplier

## ◆ com::sun::star::document::XStorageBasedDocument

interface com::sun::star::document::XStorageBasedDocument

allows to initialize the document with a storage.

## ◆ com::sun::star::document::XViewDataSupplier

interface com::sun::star::document::XViewDataSupplier

gives access to some properties describing all open views to a document.

## ◆ com::sun::star::embed::XVisualObject

interface com::sun::star::embed::XVisualObject

represents common visualization functionality for the embedded report.

## ◆ com::sun::star::frame::XLoadable

interface com::sun::star::frame::XLoadable

offers a simple way to initialize a component.

## ◆ com::sun::star::frame::XModel

interface com::sun::star::frame::XModel

allows the access to the model embedded in the database storage.

## ◆ com::sun::star::style::XStyleFamiliesSupplier

interface com::sun::star::style::XStyleFamiliesSupplier

provides access to the collection of style families.

A spreadsheet document contains 2 families of styles: "PageStyles" and "CellStyles".

## ◆ com::sun::star::ui::XUIConfigurationManagerSupplier

interface com::sun::star::ui::XUIConfigurationManagerSupplier

allows to retrieve the user interface configuration manager related to an object.

## ◆ com::sun::star::util::XCloseable

interface com::sun::star::util::XCloseable

allows to close the document.

## ◆ com::sun::star::util::XModifiable2

interface com::sun::star::util::XModifiable2

a storable document should provide information about his modify state

With this interface it's possible too, to reset the modify state. That can be necessary to prevent code against problem during closing of the document without saving any changes.

## ◆ XFunctionsSupplier

interface XFunctionsSupplier

gives access to functions defined in the report definition.

## ◆ XReportComponent

interface XReportComponent

allows the creation of sub reports.

## Member Function Documentation

## ◆ getAvailableMimeTypes()

sequence< string > getAvailableMimeTypes | ( |  | ) |
raises | ( | ::com::sun::star::lang::DisposedException,
|  | ::com::sun::star::uno::Exception ) |  |  |

returns a sequence of the currently supported output formats.

## ◆ getEventBroadcaster()

com::sun::star::document::XEventBroadcaster getEventBroadcaster | ( |  | ) |
raises | ( | ::com::sun::star::lang::DisposedException,
|  | ::com::sun::star::uno::Exception ) |  |  |

makes it possible to register listeners which are called whenever a document event occurs.

This is a workaround due to the fact that this interface can not be directly inherited from com::sun::star::document::XEventBroadcaster because the methods addEventListener and removeEventListener are already defined in com::sun::star::lang::XComponent. A queryInterface call is still supported to the com::sun::star::document::XEventBroadcaster interface.

## Member Data Documentation

## ◆ ActiveConnection

com::sun::star::sdbc::XConnection ActiveConnection
set raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |
| attributebound

specifies the active connection which is used to create the resulting report.

## ◆ Caption

string Caption
| attributebound

Represents the title of the report in print preview.

## ◆ Command

string Command
| attributebound

is the command which should be executed, the type of command depends on the CommandType.

In case of a CommandType of CommandType::COMMAND, means in case the Command specifies an SQL statement, the inherited com::sun::star::sdbc::RowSet::EscapeProcessing becomes relevant:
It then can be to used to specify whether the SQL statement should be analyzed on the client side before sending it to the database server.
The default value for com::sun::star::sdbc::RowSet::EscapeProcessing is TRUE. By switching it to FALSE, you can pass backend-specific SQL statements, which are not standard SQL, to your database.

See also
  com::sun::star::sdb::CommandType

## ◆ CommandType

long CommandType
| attributebound

specifies the type of the command to be executed to retrieve a result set.

Command needs to be interpreted depending on the value of this property.

This property is only meaningful together with the Command property, thus either both or none of them are present.

See also
  com::sun::star::sdb::CommandType

## ◆ DataSourceName

string DataSourceName
| attributebound

is the name of the datasource to use, this could be a named datasource or the URL of a data access component.

## ◆ Detail

com::sun::star::report::XSection Detail
| attributereadonly

returns the detail section.

See also
  XSection

## ◆ EscapeProcessing

boolean EscapeProcessing
| attributebound

specifies if the Command should be analyzed on the client side before sending it to the database server.

The default value of this property is TRUE. By switching it to FALSE, you can pass backend-specific SQL statements, which are not standard SQL, to your database.

This property is usually present together with the Command and CommandType properties, and is evaluated if and only if CommandType equals CommandType::COMMAND.

## ◆ Filter

string Filter
| attributebound

specifies an additional filter to optionally use.

The Filter string has to form a SQL WHERE-clause, without the WHERE-string itself.

If a DataSourceName, Command and CommandType are specified, a RowSet can be created with this information. If the results provided by the row set are to be additionally filtered, the Filter property can be used.

Note that the Filter property does not make sense if a ResultSet has been specified in the DataAccessDescriptor.

See also
  com::sun::star::sdb::RowSet
  ResultSet

## ◆ GroupKeepTogether

short GroupKeepTogether
set raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |
| attributebound

Specifies whether groups in a multi column report are kept together.

See also
  com::sun::star::report::GroupKeepTogether

## ◆ Groups

com::sun::star::report::XGroups Groups
| attributereadonly

Represents the groups of the report.

## ◆ MimeType

string MimeType
set raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |
| attributebound

Represents the output format (media (mime) type) of the resulting document when executing this report.

## ◆ PageFooter

com::sun::star::report::XSection PageFooter
get raises | ( | com::sun::star::container::NoSuchElementException ) |  |  |
| attributereadonly

returns the page footer if the PageFooterOn is TRUE.

Exceptions

  com::sun::star::container::NoSuchElementException | If the report has the page footer disabled.

See also
  XSection

## ◆ PageFooterOn

boolean PageFooterOn
| attributebound

Defines that the page footer is on.

Default is TRUE.

## ◆ PageFooterOption

short PageFooterOption
| attributebound

Represents the location of the page footer.

See also
  ReportPrintOption

## ◆ PageHeader

com::sun::star::report::XSection PageHeader
get raises | ( | com::sun::star::container::NoSuchElementException ) |  |  |
| attributereadonly

returns the page header if the PageHeaderOn is TRUE.

Exceptions

  com::sun::star::container::NoSuchElementException | If the report has the page header disabled.

See also
  XSection

## ◆ PageHeaderOn

boolean PageHeaderOn
| attributebound

Defines that the page header is on.

Default is TRUE.

## ◆ PageHeaderOption

short PageHeaderOption
| attributebound

Represents the location of the page header.

See also
  ReportPrintOption

## ◆ ReportFooter

com::sun::star::report::XSection ReportFooter
get raises | ( | com::sun::star::container::NoSuchElementException ) |  |  |
| attributereadonly

returns the report footer if the ReportFooterOn is TRUE.

Exceptions

  com::sun::star::container::NullPointerException | If the report has the report footer disabled.

See also
  XSection

## ◆ ReportFooterOn

boolean ReportFooterOn
| attributebound

Defines that the report footer is on.

Default is FALSE.

## ◆ ReportHeader

com::sun::star::report::XSection ReportHeader
get raises | ( | com::sun::star::container::NoSuchElementException ) |  |  |
| attributereadonly

returns the report header if the ReportHeaderOn is TRUE.

Exceptions

  com::sun::star::container::NoSuchElementException | If the report has the report header disabled.

See also
  XSection

## ◆ ReportHeaderOn

boolean ReportHeaderOn
| attributebound

Defines that the report header is on.

Default is FALSE.

The documentation for this interface was generated from the following file:

- com/sun/star/report/XReportDefinition.idl